Subject: Re: setup testers wanted
From: Robert Collins <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: 03 Nov 2001 10:58:34 +1100

On Sat, 2001-11-03 at 01:34, John P. Rouillard wrote:

> Very nice. Much improved from the previous setups. I haven't had a
> chance to test the dependency code yet (all my systems have cygwin
> on them already) but I have upgraded some packages and it works well.

Good! Obviously there is much more to do to come up to the standard of
other existing tools, but we are on the way.
 
> A few observations:
> 
>   1) The view button that is at the top of the package selection
>      screen initially displays with the word "view" garbled. Clicking
>      on the view button or changing one of the prev, cur, exp radio
>      buttons causes a redisplay that properly displays the word view.
>      This occurs with both ftp and http downloads for the 

I think the initial 'garble' is the dotted line highlight. Added to
wishlist.
 
>   2) I and a couple of co-workers find it a bit unnerving/confusing to
>      look at the category list and not see anything expanded when I
>      know I have packages that need to be updated. I would suggest
>      starting in the partial mode if you are updating an installed
>      cygwin and starting in category mode for new installs.

Hmm, nice idea. Currently we don't 'know' whether this is an upgrade or
not. Added to wishlist as "remember view mode" - which I think is even
more user friendly.
 
>      Alternatively make a category/partial window that shows the
>      categories and expands the categories that have packages to be
>      updated with the list of packages to be updated.

Feee free to contribute. This bit of code is rather.... messy right now.
It's only halfway from procedural to oop based approach, and the
hierarchy is as such rather inflexible without a bit of fiddling - I
don't want to introduce new errors just now. IMO a sensible way to show
this would be to have the new view have a 3 layer hierarchy:
action
  category
    package

where action is keep/skip/version/uninstall/reinstall/source

I've added that idea to the wishlist. If you still like the idea of
showing the contents of 'partial' with categories just say so and I'll
add that as well.

>   3) On the package selection screen it might be worth moving the view
...

>      label in a sunken box or in some other way distinguishing it from
>      static text (Select package to install) may be useful.

This is already up for discussion. 

Thanks for the excellent feedback,
Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/